Bug 1512965 - [abrt] texstudio: fprintf(): texstudio killed by SIGSEGV
Summary: [abrt] texstudio: fprintf(): texstudio killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texstudio
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: hannes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1e9ff7ae4457195e58279fc1e71...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 14:17 UTC by Łukasz Faber
Modified: 2018-02-28 17:10 UTC (History)
2 users (show)

Fixed In Version: texstudio-2.12.8-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-28 17:10:15 UTC


Attachments (Terms of Use)
File: backtrace (992.90 KB, text/plain)
2017-11-14 14:17 UTC, Łukasz Faber
no flags Details
File: cgroup (289 bytes, text/plain)
2017-11-14 14:17 UTC, Łukasz Faber
no flags Details
File: core_backtrace (127.50 KB, text/plain)
2017-11-14 14:17 UTC, Łukasz Faber
no flags Details
File: cpuinfo (1.08 KB, text/plain)
2017-11-14 14:17 UTC, Łukasz Faber
no flags Details
File: dso_list (17.14 KB, text/plain)
2017-11-14 14:17 UTC, Łukasz Faber
no flags Details
File: environ (2.87 KB, text/plain)
2017-11-14 14:17 UTC, Łukasz Faber
no flags Details
File: exploitable (82 bytes, text/plain)
2017-11-14 14:17 UTC, Łukasz Faber
no flags Details
File: limits (1.29 KB, text/plain)
2017-11-14 14:17 UTC, Łukasz Faber
no flags Details
File: maps (88.59 KB, text/plain)
2017-11-14 14:17 UTC, Łukasz Faber
no flags Details
File: mountinfo (4.31 KB, text/plain)
2017-11-14 14:17 UTC, Łukasz Faber
no flags Details
File: open_fds (4.60 KB, text/plain)
2017-11-14 14:17 UTC, Łukasz Faber
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-11-14 14:17 UTC, Łukasz Faber
no flags Details
File: var_log_messages (334 bytes, text/plain)
2017-11-14 14:17 UTC, Łukasz Faber
no flags Details

Description Łukasz Faber 2017-11-14 14:17:23 UTC
Description of problem:
I was compiling a document when the TeXStudio exited.

Version-Release number of selected component:
texstudio-2.12.6-2.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        texstudio
crash_function: fprintf
executable:     /usr/bin/texstudio
journald_cursor: s=e293d208285744e7b6f263e67e661713;i=332f9;b=ec1e7362983a444d8567f6b51bb36210;m=1849d50257;t=55df1d805e7c5;x=5b8bafe675861b11
kernel:         4.13.12-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Łukasz Faber 2017-11-14 14:17:31 UTC
Created attachment 1351974 [details]
File: backtrace

Comment 2 Łukasz Faber 2017-11-14 14:17:33 UTC
Created attachment 1351975 [details]
File: cgroup

Comment 3 Łukasz Faber 2017-11-14 14:17:36 UTC
Created attachment 1351976 [details]
File: core_backtrace

Comment 4 Łukasz Faber 2017-11-14 14:17:37 UTC
Created attachment 1351977 [details]
File: cpuinfo

Comment 5 Łukasz Faber 2017-11-14 14:17:39 UTC
Created attachment 1351978 [details]
File: dso_list

Comment 6 Łukasz Faber 2017-11-14 14:17:41 UTC
Created attachment 1351979 [details]
File: environ

Comment 7 Łukasz Faber 2017-11-14 14:17:43 UTC
Created attachment 1351980 [details]
File: exploitable

Comment 8 Łukasz Faber 2017-11-14 14:17:44 UTC
Created attachment 1351981 [details]
File: limits

Comment 9 Łukasz Faber 2017-11-14 14:17:46 UTC
Created attachment 1351982 [details]
File: maps

Comment 10 Łukasz Faber 2017-11-14 14:17:48 UTC
Created attachment 1351983 [details]
File: mountinfo

Comment 11 Łukasz Faber 2017-11-14 14:17:50 UTC
Created attachment 1351984 [details]
File: open_fds

Comment 12 Łukasz Faber 2017-11-14 14:17:51 UTC
Created attachment 1351985 [details]
File: proc_pid_status

Comment 13 Łukasz Faber 2017-11-14 14:17:53 UTC
Created attachment 1351986 [details]
File: var_log_messages

Comment 14 Fedora Update System 2018-02-20 12:43:00 UTC
texstudio-2.12.8-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-48f51ab8eb

Comment 15 Fedora Update System 2018-02-20 18:20:42 UTC
texstudio-2.12.8-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-48f51ab8eb

Comment 16 Fedora Update System 2018-02-28 17:10:15 UTC
texstudio-2.12.8-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.